package com.dxhy.manage.dao;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dxhy.manage.entity.SysDeptEntity;
import com.dxhy.manage.model.BlocNumModel;
import com.dxhy.manage.model.CollectNumModel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 部门管理
 *
 * @author jiaohongyang
 */
@Mapper
public interface OperationsToolsDao extends BaseMapper<SysDeptEntity> {

    SysDeptEntity getSysDeptInfo(String newGfTaxno);

    void updateCreateDateByUuid(@Param("table") String majorIntoWhereTable, @Param("uuid") String uuid);

    List<SysDeptEntity> getBlocList();

    List<SysDeptEntity> getTaxNoList(@Param("blocId") String blocId);

    List<String> getAllTables(@Param("blocId") String blocId);

    List<String> getTaxnoes(@Param("blocId") String blocId, @Param("table") String table);

    void updateCreateDateByTaxNo(@Param("table") String table, @Param("list") List<String> sbList,
        @Param("map") Map<String, Object> params);

    String getMajorIntoWhereDb(String company);
}
